Bug 1002207 - remove unused parameter and correctly handle mem alloc failure
remove unused parameter and correctly handle mem alloc failure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: stripe (Show other bugs)
mainline
All All
unspecified Severity low
: ---
: ---
Assigned To: Kaleb KEITHLEY
:
Depends On:
Blocks: 1133266
  Show dependency treegraph
 
Reported: 2013-08-28 11:42 EDT by Kaleb KEITHLEY
Modified: 2014-08-24 02:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1133266 (view as bug list)
Environment:
Last Closed: 2014-01-17 11:37:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2013-08-28 11:42:24 EDT
Description of problem:

gf_memdup() has only a single user, namely the stripe translator. Does it warrant being in libglusterfs for just a single user?

It has an unused parameter.

The stripe xlator updates its idea of how long the xattrs are even if the memory allocation failed.


Version-Release number of selected component (if applicable):

all

How reproducible:

code examination

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2013-08-28 13:15:23 EDT
REVIEW: http://review.gluster.org/5716 (stripe: remove unused param, handle mem alloc failure) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 2 Anand Avati 2013-08-28 13:35:44 EDT
REVIEW: http://review.gluster.org/5716 (stripe: remove unused param, handle mem alloc failure) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 3 Anand Avati 2013-08-28 14:33:34 EDT
REVIEW: http://review.gluster.org/5716 (stripe: remove unused param, handle mem alloc failure) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 4 Anand Avati 2013-08-28 19:59:24 EDT
COMMIT: http://review.gluster.org/5716 committed in master by Anand Avati (avati@redhat.com) 
------
commit b880b6b2908ad4e4afc8e26613bd0db8f0b28750
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Aug 28 22:43:41 2013 +0530

    stripe: remove unused param, handle mem alloc failure
    
    Change-Id: I9c27b1edab111031ca8eea9cc49480ea01e39089
    BUG: 1002207
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5716
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.